Get client workflow counts by group and state
Return workflow counts for the authenticated client grouped by both category and state dimensions. Each dimension shows total active workflows and client-enrolled workflows.
GET
/
client
/
workflows
/
counts
Get client workflow counts by group and state
curl --request GET \
--url https://api.mailerpath.com/api/v1/client/workflows/counts \
--header 'Authorization: <api-key>'import requests
url = "https://api.mailerpath.com/api/v1/client/workflows/counts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.mailerpath.com/api/v1/client/workflows/counts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"by_group": [
{
"enrolled_count": 123,
"group_label": "<string>",
"total_active_count": 123
}
],
"by_state": [
{
"enrolled_count": 123,
"state": 123,
"state_label": "<string>",
"total_active_count": 123
}
]
},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}Authorizations
JWT Bearer token or raw API key via Authorization header
Query Parameters
Search by workflow name or description
Filter by workflow state (1=acquisition,2=engagement,3=revenue,4=health)
⌘I
Get client workflow counts by group and state

